> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Process time-off requests from an external HRIS

POST https://api.letsdeel.com/rest/time_offs/global-payroll/sync
Content-Type: application/json

Synchronizes time-off requests from an external HRIS into Deel for Global Payroll contracts only. Each record is upserted or deleted based on its external ID — records carrying `deleted: true` are removed while all others are inserted or updated — and Deel calculates the payroll cycle impact of each operation.

 **Token scopes**: `time-off:write`

Reference: https://developer.deel.com/api/endpoints/time-off/sync-time-off-global-payroll

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Body (application/json)

This endpoint expects an object.

- `data` (TimeOffsGlobalPayrollSyncPostRequestBodyContentApplicationJsonSchemaData, optional)

## Response

### 200

Successful operation time offs returned

- `data` (TimeOffsGlobalPayrollSyncPostResponsesContentApplicationJsonSchemaData, optional)

## Errors

### 400 Bad Request Error

Operation failed.

- `errors` (list of TimeOffsGlobalPayrollSyncPostResponsesContentApplicationJsonSchemaErrorsItems, optional)
- `request` (TimeOffsGlobalPayrollSyncPostResponsesContentApplicationJsonSchemaRequest, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### TimeOffsGlobalPayrollSyncPostRequestBodyContentApplicationJsonSchemaData

- `time_offs` (list of TimeOffsGlobalPayrollSyncPostRequestBodyContentApplicationJsonSchemaDataTimeOffsItems, required)

### TimeOffsGlobalPayrollSyncPostResponsesContentApplicationJsonSchemaData

- `deleted` (double, optional) — Number of time off requests that were deleted
- `updated` (double, optional) — Number of time off requests that were updated
- `inserted` (double, optional) — Number of time off requests that were inserted

### TimeOffsGlobalPayrollSyncPostResponsesContentApplicationJsonSchemaErrorsItems

- `path` (string, optional) — The JSON path where input validation failed
- `message` (string, optional) — A description of the returned error

### TimeOffsGlobalPayrollSyncPostResponsesContentApplicationJsonSchemaRequest

- `url` (string, optional) — The relative URL of the failed request
- `code` (double, optional) — The code of the source handler which produced the returned error
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `method` (string, optional) — The HTTP method of the failed request
- `source` (string, optional) — The source handler which produced the returned error
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### TimeOffsGlobalPayrollSyncPostRequestBodyContentApplicationJsonSchemaDataTimeOffsItems

### TimeOffsGlobalPayrollSyncPostRequestBodyContentApplicationJsonSchemaDataTimeOffsItems0

- `end_date` (string, required) — The end date of the time off.
- `start_date` (string, required) — The start date of the time off.
- `external_id` (string, required) — External ID to link a Deel time off object with an external time off object. It will be used to determine which operation should be done: INSERT, UPDATE or DELETE.
- `policy_type` (enum, required, nullable) — The Deel policy type of the policy the time off is being requested for.
  - Allowed values: `Adoption leave`, `Advanced vacation`, `Bereaved partner's paternity leave`, `Bereavement leave`, `Blood donation leave`, `Breastfeeding leave`, `Carer's leave`, `Childbirth leave`, `Childcare leave`, `Civic/public duty leave`, `Compensatory leave`, `Disability leave`, `Doctor's appointment leave`, `Family & domestic violence leave`, `Family responsibility leave`, `Floating Holiday Allowance`, `Hajj leave`, `Hospitalization leave`, `Long Service Leave`, `Marriage/wedding leave`, `Maternity leave`, `Menstrual leave`, `Military leave`, `Moving leave`, `Neonatal care leave`, `Other leave`, `Paid leave`, `Parental bereavement leave`, `Parental leave`, `Paternity leave`, `Personal leave`, `Pregnancy leave`, `Regional holiday`, `RTT`, `Shared parental leave`, `Sick leave`, `Study leave`, `Supplementary Leave`, `Unpaid leave`, `Vacation`, `Vacation - public holidays replacement`, `Volunteer leave`, `Work accident leave`, `Work Location`
- `contract_oid` (string, required) — The contract id that has requested the time off.
- `amount` (float, optional) — The amount in time units for this time off. When no amount is informed, it will be calculated using work schedules and public holidays defined at Deel.
- `is_paid` (boolean, optional) — Allows the consumer to specify whether the time off is considered as paid (at statutory) or unpaid based on the configuration of the policy in the external HRIS.
- `approved_at` (string, optional) — The approval date of the time off. If no approval date is informed, the start date of this request will be used as the approval date. Note: use this field in order to support retrospective leaves so Deel can identify requests made after the payroll cycle.
- `description` (string, optional, nullable) — The description of the time off.
- `policy_name` (string, optional) — The policy name the time off is being requested for. If not informed, a default name will be generated using the policy type and contract's country (eg: Vacation - US).
- `requested_at` (string, optional) — The request date of the time off.
- `entitlement_unit` (enum, optional) — The time unit for this time off. *Mandatory when amount parameter is informed*. If no amount and no entitlement_unit are informed, it will be calculated using Deel's internal country templates for compliant time off policies.
  - Allowed values: `HOUR`, `BUSINESS_DAY`, `CALENDAR_DAY`, `WEEK`, `MONTH`, `YEAR`

### TimeOffsGlobalPayrollSyncPostRequestBodyContentApplicationJsonSchemaDataTimeOffsItems1

- `deleted` (boolean, required) — Indicates this time off request must be deleted
- `external_id` (string, required) — External ID to link a Deel time off object with an external time off object. It will be used to determine which operation should be done: INSERT, UPDATE or DELETE.
- `contract_oid` (string, required) — The contract id that has requested the time off.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "data": {
    "deleted": 0,
    "updated": 2,
    "inserted": 4
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/time_offs/global-payroll/sync"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/time_offs/global-payroll/sync';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/time_offs/global-payroll/sync"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/time_offs/global-payroll/sync")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/time_offs/global-payroll/sync")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/time_offs/global-payroll/sync', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/time_offs/global-payroll/sync");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/time_offs/global-payroll/sync")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```